> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loqate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Everything Location - address/capture (AutoComplete)

> Please note that this is a legacy product in retirement

Return full information about a particular result from a call to the [/address/complete](/api-reference/everything-location/address-complete) endpoint.

**Note:** only old everythinglocation keys will work with this service.

**Resource URL:** [https://api.everythinglocation.com/address/capture](https://api.everythinglocation.com/address/capture)

<Note>Please note that we don't support API connections using HTTP - all calls should use HTTPS.</Note>

## Resource Information

* Preferred method:	**POST**
* Response formats:	**JSON, XML, HTML**
* Requires authentication?	**Yes, valid API key**
* Chargeable?	**Yes**

## Request Parameters

| Name               | Description                                                                                                                                                                                                                                                                                                                                 |
| :----------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| lqtkey (Required)  | A valid API key with sufficient credit available to process the requested transactions. <br /><br />Example: BFtd2UpC8Gl1jU1pPnDZIVpoz2XnBMyWEfVcAfoI                                                                                                                                                                                       |
| query (Required)   | A freeform partial address query. <br /><br />Example: "999 bak" or "bs328ga                                                                                                                                                                                                                                                                |
| country (Required) | A recognizable country name or ISO code. <br /><br />Example: "USA", "DE" or "New Zealand"                                                                                                                                                                                                                                                  |
| result (Required)  | The index of the desired result from the [/address/complete](/api-reference/everything-location/address-complete) result, starting at zero.                                                                                                                                                                                                 |
| filters (Optional) | The object containing address filters. Available filters are: "PostalBox", "SubBuilding", "Premise", "Thoroughfare", "Locality", "AdministrativeArea", and "PostalCode". Filters only work on the following countries: USA, CAN, GBR, and AUS. <br /><br />Example object with all possible filters is enclosed in "Example Request" below. |
| geocode (Optional) | Specifies whether to return geocode fields in the response. **This is a chargable add-on**. <br /><br />Example: ...\&geocode... (in URL) or "geocode":"on" (within object)                                                                                                                                                                 |
| certify (Optional) | Specifies whether to return certified fields in the response. **This is a chargeable add-on**. <br /><br />Example: ...\&certify... (in URL) or "certify":"on" (within object)                                                                                                                                                              |

## Response Parameters

| Name      | Description                                                                                                                                                                                                                                    |
| :-------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Status    | The result of your call. "OK" indicates success, any other status indicates an error. <br /><br />Example: "Status":"OK"                                                                                                                       |
| output\[] | The address object corresponding to the requested result index. The returned fields will be dependent on the parsing methodology and reference data available in each individual country. <br /><br />Sample JSON output\[] is enclosed below. |

## Example Request

```JSON theme={null}
POST https://api.everythinglocation.com/address/capture?geocode
Accept: application/json
Content-Type: application/json
{
   "lqtkey":"BFtd2UpC8Gl1jU1pPnDZIVpoz2XnBMyWEfVcAfoI",
   "query":"941",
   "country":"usa",
   "result":"1",
   "filters": {
      "Locality": "San Francisco",
      "AdministrativeArea": "CA"
   }
}
```

## Example Response

```JSON theme={null}
200 OK
Content-Type:  application/json; charset=utf8
Date:  Thu, 15 Oct 2015 18:41:18 GMT
Server:  Apache
X-Powered-By:  PHP/5.4.16
Content-Length:  722
Connection:  keep-alive
{
   "Status":"OK",
   "output":{
      "Address":"941 Buchanan St, San Francisco CA 94102",
      "Address1":"941 Buchanan St",
      "Address2":"San Francisco CA 94102",
      "AdministrativeArea":"CA",
      "CountryName":"United States",
      "DeliveryAddress":"941 Buchanan St",
      "DeliveryAddress1":"941 Buchanan St",
      "GeoAccuracy":"I4",
      "GeoDistance":"5.0",
      "ISO3166-2":"US",
      "ISO3166-3":"USA",
      "ISO3166-N":"840",
      "Latitude":"37.778772",
      "Locality":"San Francisco",
      "Longitude":"-122.428512",
      "MatchedFieldList":"PostalCodePrimary,AdministrativeArea,Locality,PremiseNumber",
      "PostalCode":"94102",
      "PostalCodePrimary":"94102",
      "Premise":"941",
      "PremiseNumber":"941",
      "Thoroughfare":"Buchanan St",
      "TotalRecordCount":"1"
   }
}
```
